# $Revision: 1.44 $, $Date: 2007-11-20 22:15:57 $
Summary:	KDE Integrated LaTeX Environment
Summary(pl.UTF-8):	Zintegrowane środowisko LaTeXowe dla KDE
Name:		kile
Version:	2.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/kile/%{name}-%{version}.tar.bz2
# Source0-md5:	78fed6091aec3f1357c69f6462528ed2
Patch0:		%{name}-desktop.patch
URL:		http://kile.sourceforge.net/
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 3.1
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	tetex-format-latex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE Integrated LaTeX Environment. Features:

 - an editor to write your LaTeX source files (syntax highlighting,
   undo-redo, search-replace, spellcheck ...)
 - the principal LaTeX tags can be inserted directly with the "LaTeX",
   "Math" and "Greek" menus
 - 370 mathematical symbols can be inserted in just one click
 - wizards to generate code ('Quick document', 'Quick letter', tabular,
   tabbing and array environments)
 - LaTeX-related programs can be launched via the "Tools" menu
 - contextual help in the "Messages / Log File" frame
 - the standard Bibtex entry types can be inserted in the ".bib" file
   with the "Bibliography" menu
 - a "structure view" of the document for easier navigation of a
   document (by clicking on an item in the "Structure" frame, you can
   jump directly to the corresponding part of your document
 - extensive LaTeX documentation
 - in the "Messages / Log File" frame, you can see information about
   processes and the logfile after a LaTeX compilation
 - the "Next Latex Error" and "Previous Latex Error" commands let you
   reach the LaTeX errors detected by Kile in the log file
 - by clicking on the number of a line in the log file, the cursor
   jumps to the corresponding line in the editor
 - a Gnuplot front end (adaptation of the Xgfe program)
 - support for "Inverse and Forward Search" with KDVI

The program's aim is to simplify the edition of LaTeX source code and
the use of the LaTeX-related programs for users who want to retain
control over their LaTeX documents.

%description -l pl.UTF-8
Zintegrowane środowisko LaTeXowe dla KDE. Możliwości:
 - edytor do pisania plików źródłowych w LaTeXu (z podświetlaniem
   składni, cofaniem i powtarzaniem, szukaniem i zastępowaniem, kontrolą
   pisowni...)
 - podstawowe znaczniki LaTeXa mogą być wstawiane bezpośrednio z menu
   "LaTeX", "Math" lub "Greek"
 - 370 symboli matematycznych może być wstawianych pojedynczym
   kliknięciem
 - automaty do generowania kodu ("Szybki dokument", "Szybki list",
   środowiska tabular, tabbing i array)
 - programy związane z LaTeXem mogą być uruchamiane z menu "Tools"
 - kontekstowa pomoc w ramce "Messages / Log File"
 - standardowe typy wpisów Bibtexa mogą być wstawiane do pliku .bib z
   menu "Bibliography"
 - "strukturalny widok" dokumentu dla łatwiejszej nawigacji po
   dokumencie (poprzez kliknięcie elementu w ramce "Structure", można
   skoczyć bezpośrednio do odpowiedniej części dokumentu)
 - obszerna dokumentacja do LaTeXa
 - w ramce "Messages / Log File" można zobaczyć informacje o
   przetwarzaniu i plik loga po kompilacji LaTeXa
 - polecenia "Next Latex Error" i "Previous Latex Error" pozwalają na
   przechodzenie do miejsc wystąpienia błędów znalezionych przez Kile w
   pliku loga
 - po kliknięciu na numerze linii w pliku loga, kursor skacze do
   odpowiedniej linii w edytorze
 - interfejs do Gnuplota (adaptacja programu Xgfe)
 - obsługa "Inverse and Forward Search" w KDVI.

Celem programu jest uproszczenie edycji kodu źródłowego w LaTeXu i
używania programów związanych z LaTeXem dla użytkowników, którzy chcą
zachować kontrolę nad dokumentami w LaTeXu.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* admin
%configure \
	--disable-rpath \
	--enable-final \
	--%{!?debug:dis}%{?debug:en}able-debug \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{name} --with-kde

rm -rf $RPM_BUILD_ROOT%{_datadir}/apps/katepart

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/apps/kile
%{_datadir}/mimelnk/text/x-kilepr.desktop
%{_datadir}/apps/kconf_update/kile.upd
%attr(755,root,root) %{_datadir}/apps/kconf_update/kile*_upd.pl
%{_datadir}/config.kcfg/kile.kcfg
%{_desktopdir}/kde/kile.desktop
%{_iconsdir}/*/*/apps/*.png
%{_iconsdir}/*/*/apps/*.svgz

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kile.spec,v $
Revision 1.44  2007-11-20 22:15:57  vip
- up to 2.0

Revision 1.43  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.42  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.41  2006/11/19 00:10:31  shadzik
- 1.9.3

Revision 1.40  2006/08/26 15:27:53  shadzik
- 1.9.2

Revision 1.39  2006/07/02 19:47:34  shadzik
- up to 1.9.1

Revision 1.38  2006/03/22 13:00:04  piti
- up to 1.9. Adaptarized.

Revision 1.37  2006/02/20 21:20:52  piti
- up to 1.9rc1

Revision 1.36  2006/01/30 17:55:09  prism
- up to 1.9b2

Revision 1.35  2005/06/11 21:01:38  qboosh
- unified sf URL

Revision 1.34  2005/06/11 14:47:22  pluto
- updated to 1.8.1, overlap removed from %%files.

Revision 1.33  2005/05/23 21:10:38  arekm
- drop katepart; rel 2

Revision 1.32  2005/05/22 16:03:20  arekm
- update to 1.8

Revision 1.31  2005/03/05 14:04:08  megabajt
- more %%doc
- unified
- proper license

Revision 1.30  2004/11/11 01:00:33  ankry
- update to 1.7.1 by Piotr Czapski

Revision 1.29  2004/08/31 19:22:14  snurf
- typos / formatting / etc.

Revision 1.28  2004/05/12 23:57:36  arekm
- updated to 1.6.3

Revision 1.27  2004/03/28 16:23:26  arekm
- updated to 1.6.2

Revision 1.26  2004/03/09 15:02:47  gotar
- added desktop patch, release 4

Revision 1.25  2004/03/09 06:20:58  gotar
- added R: tetex-format-latex

Revision 1.24  2004/03/07 00:47:04  qboosh
- removed fix-compile patch (builds OK, patch was never used), release 3

Revision 1.23  2004/03/07 00:38:26  qboosh
- pass --with-qt-libraries=

Revision 1.22  2004/03/07 00:27:06  qboosh
- refresh config.sub for amd64

Revision 1.21  2004/02/21 19:06:48  migo
- removed bogus dependency on tetex-latex

Revision 1.20  2004/02/18 15:59:59  adgor
- Added kde_htmldir redefinition
- Looks good - release 2

Revision 1.19  2004/02/18 15:20:52  adgor
- %%{__standarize}
- Rel 1.1 (build in progress)

Revision 1.18  2004/02/01 09:37:05  arekm
- updated to 1.6.1

Revision 1.17  2003/11/08 15:19:01  arekm
- updated to 1.6

Revision 1.16  2003/10/12 14:37:13  arekm
- updated to 1.5.2

Revision 1.15  2003/08/18 08:08:15  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/06/20 15:12:02  gotar
- one more md5 fix for new source

Revision 1.13  2003/06/20 15:03:36  gotar
- release 0.1 (patch1 needs to be fixed)

Revision 1.12  2003/06/20 15:01:54  gotar
- upgraded to 1.5

Revision 1.11  2003/05/28 12:59:21  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:49:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/02/11 19:11:16  misiek
- updated to 1.4

Revision 1.8  2003/01/18 22:52:01  juandon
- removed two lines with define

Revision 1.7  2003/01/17 15:41:37  qboosh
- updated URLs

Revision 1.6  2002/11/30 01:13:17  qboosh
- fixed defattr

Revision 1.5  2002/11/29 23:28:04  qboosh
- pl description

Revision 1.4  2002/11/17 20:54:04  kloczek
- better %description.

Revision 1.3  2002/11/17 20:45:28  kloczek
- finished.

Revision 1.2  2002/11/17 13:36:23  kloczek
- rewrited but still NYF.

Based on spec from MDK.
